QGIS Application - Feature request #16796
export geopdf and geotiff form print composer
2017-07-05 08:49 PM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 24695
Description

Trying to export first to a PDF from Print Composer and there is no coordinate reference system in the output.

Then tried to export to a TIF with World File option and again there's no spatial reference data in the output.

When | load the TIF into qgis, it doesn't line up correctly and then crashes with a core dump.

Might be relevant, but in the print composer, under Export Settings the Reference Map pull down menu is blank with nothing to select

there.

https://gis.stackexchange.com/q/246390/1297 also has the same issue reported there.

Output from gdalinfo utility.

saultdon@archasus ~ % gdalinfo map_out.pdf
Driver: PDF/Geospatial PDF
Files: map_out.pdf
Size is 2550, 1650
Coordinate Systemis *
Metadata:
CREATION_DATE=D:20170705183321
CREATOR=py
PRODUCER=Qt 4.8.7
TITLE=py
Corner Coordinates:
Upper Left ( 0.0, 0.0)
Lower Left (0.0, 1650.0)
Upper Right (2550.0, 0.0)
Lower Right ( 2550.0, 1650.0)
Center (1275.0, 825.0)
Band 1 Block=2550x1 Type=Byte, ColorIinterp=Red
Band 2 Block=2550x1 Type=Byte, ColorIinterp=Green
Band 3 Block=2550x1 Type=Byte, ColorInterp=Blue

saultdon@archasus ~ % gdalinfo out_map.tif

Driver: GTiff/GeoTIFF

Files: out_map.tif

Size is 5100, 3300

Coordinate Systemis *

Metadata:
TIFFTAG_RESOLUTIONUNIT=2 (pixels/inch)
TIFFTAG_XRESOLUTION=300
https://gis.stackexchange.com/q/246390/1297

TIFFTAG_YRESOLUTION=300
Image Structure Metadata:
INTERLEAVE=PIXEL
Corner Coordinates:
Upper Left ( 0.0, 0.0)
Lower Left ( 0.0, 3300.0)
Upper Right (5100.0, 0.0)
Lower Right ( 5100.0, 3300.0)
Center  (2550.0, 1650.0)
Band 1 Block=5100x1 Type=Byte, ColorInterp=Red
Band 2 Block=5100x1 Type=Byte, ColorInterp=Green
Band 3 Block=5100x1 Type=Byte, ColorInterp=Blue
Band 4 Block=5100x1 Type=Byte, ColorInterp=Undefined

History

#1 - 2017-07-06 12:38 AM - Giovanni Manghi

- Subject changed from cannot output print composer with spatial information to export geopdf and geotiff form print composer

- Tracker changed from Bug report to Feature request

The print composer never exported geopdf or geotiff. You can export as tif with world file, so this is not a bug but rather a feature request.

The " Reference Map" pull down is empty if you don't have more than 1 map object in the layout, you probably misunderstand how the "reference map"

work in the context of th qgis print composer.

#2 - 2017-08-31 07:23 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #16924
